From c1aec588f4bc428030480e807a9d8f22c500f749 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Wed, 24 Apr 2019 21:42:10 +0200
Subject: [PATCH 001/308] libressl: update to 2.9.2.

---
 common/shlibs                        |  3 +++
 srcpkgs/{libcrypto44 => libcrypto45} |  0
 srcpkgs/libressl/template            | 17 ++++++++---------
 srcpkgs/{libssl46 => libssl47}       |  0
 srcpkgs/{libtls18 => libtls19}       |  0
 5 files changed, 11 insertions(+), 9 deletions(-)
 rename srcpkgs/{libcrypto44 => libcrypto45} (100%)
 rename srcpkgs/{libssl46 => libssl47} (100%)
 rename srcpkgs/{libtls18 => libtls19} (100%)

diff --git a/common/shlibs b/common/shlibs
index 55b12c69fbc..fdc6be8b35f 100644
--- a/common/shlibs
+++ b/common/shlibs
@@ -3332,6 +3332,9 @@ libolm.so.3 olm-3.0.0_1
 libcrypto.so.44 libcrypto44-2.8.2_1
 libtls.so.18 libtls18-2.8.2_1
 libssl.so.46 libssl46-2.8.2_1
+libcrypto.so.45 libcrypto45-2.9.2_1
+libtls.so.19 libtls19-2.9.2_1
+libssl.so.47 libssl47-2.9.2_1
 libxmlb.so.1 libxmlb-0.1.3_1
 libvoikko.so.1 libvoikko-4.2_1
 libfstrcmp.so.0 libfstrcmp-0.7.D001_1
diff --git a/srcpkgs/libressl/template b/srcpkgs/libressl/template
index ccfa509ad1d..23ad5c3d986 100644
--- a/srcpkgs/libressl/template
+++ b/srcpkgs/libressl/template
@@ -1,8 +1,7 @@
 # Template file for 'libressl'
 pkgname=libressl
-reverts="2.9.1_1"
-version=2.8.3
-revision=2
+version=2.9.2
+revision=1
 bootstrap=yes
 build_style=gnu-configure
 short_desc="Version of the TLS/crypto stack forked from OpenSSL"
@@ -11,7 +10,7 @@ license="OpenSSL-License, SSLeay-License, ISC"
 #changelog="https://raw.githubusercontent.com/libressl-portable/portable/master/ChangeLog"
 homepage="http://www.libressl.org/"
 distfiles="http://ftp.openbsd.org/pub/OpenBSD/LibreSSL/${pkgname}-${version}.tar.gz"
-checksum=9b640b13047182761a99ce3e4f000be9687566e0828b4a72709e9e6a3ef98477
+checksum=c4c78167fae325b47aebd8beb54b6041d6f6a56b3743f4bd5d79b15642f9d5d4
 provides="openssl-${version}_${revision}"
 replaces="openssl>=0"
 conf_files="/etc/ssl/openssl.cnf /etc/ssl/x509v3.cnf"
@@ -39,21 +38,21 @@ post_install() {
 	find ${DESTDIR}/usr/share/man/man1 -type f ! -name openssl.1 -delete
 }
 
-libcrypto44_package() {
+libcrypto45_package() {
 	short_desc+=" - crypto library"
 	pkg_install() {
 		vmove usr/lib/libcrypto.so.*
 	}
 }
 
-libssl46_package() {
+libssl47_package() {
 	short_desc+=" - SSL/TLS library"
 	pkg_install() {
 		vmove usr/lib/libssl.so.*
 	}
 }
 
-libtls18_package() {
+libtls19_package() {
 	short_desc+=" - new TLS library"
 	pkg_install() {
 		vmove usr/lib/libtls.so.*
@@ -62,8 +61,8 @@ libtls18_package() {
 
 libressl-devel_package() {
 	short_desc+=" - development files"
-	depends="libcrypto44-${version}_${revision} libssl46-${version}_${revision}
-	 libtls18-${version}_${revision}"
+	depends="libcrypto45-${version}_${revision} libssl47-${version}_${revision}
+	 libtls19-${version}_${revision}"
 	pkg_install() {
 		vmove usr/include
 		vmove "usr/lib/*.a"
